org.apache.cxf.common.annotation

## Class AbstractAnnotationVisitor

- java.lang.Object
- - org.apache.cxf.common.annotation.AbstractAnnotationVisitor

- All Implemented Interfaces:
    AnnotationVisitor
  Direct Known Subclasses:
    ResourceInjector

      public abstract class AbstractAnnotationVisitor
      extends Object
      implements AnnotationVisitor

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Object` | `target`
    `protected Class<?>` | `targetClass`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractAnnotationVisitor(Class<? extends Annotation> ann)`
    `protected` | `AbstractAnnotationVisitor(List<Class<? extends Annotation>> ann)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addTargetAnnotation(Class<? extends Annotation> ann)`
    `Object` | `getTarget()`
    `List<Class<? extends Annotation>>` | `getTargetAnnotations()` return the list of annotations this visitor wants to be informed about.
    `Class<?>` | `getTargetClass()`
    `void` | `setTarget(Object object)` set the target object being visited.
    `void` | `setTarget(Object object, Class<?> cls)`
    `void` | `visitClass(Class<?> clz, Annotation annotation)` visit an annotated class.
    `void` | `visitField(Field field, Annotation annotation)` visit an annotated field.
    `void` | `visitMethod(Method method, Annotation annotation)` visit an annotated method.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### target

          protected Object target

    - #### targetClass

          protected Class<?> targetClass

  - ### Constructor Detail

    - #### AbstractAnnotationVisitor

          protected AbstractAnnotationVisitor(Class<? extends Annotation> ann)

    - #### AbstractAnnotationVisitor

          protected AbstractAnnotationVisitor(List<Class<? extends Annotation>> ann)

  - ### Method Detail

    - #### addTargetAnnotation

          protected final void addTargetAnnotation(Class<? extends Annotation> ann)

    - #### visitClass

          public void visitClass(Class<?> clz,
                                 Annotation annotation)

      Description copied from interface: `AnnotationVisitor`
      visit an annotated class. Invoked when the class of an object is annotated by one of the specified annotations. `visitClass` is called for each of the annotations that matches and for each class.
      Specified by:
        `visitClass` in interface `AnnotationVisitor`
      Parameters:
        `clz` - the class with the annotation
        `annotation` - the annotation

    - #### getTargetAnnotations

          public List<Class<? extends Annotation>> getTargetAnnotations()

      Description copied from interface: `AnnotationVisitor`
      return the list of annotations this visitor wants to be informed about.
      Specified by:
        `getTargetAnnotations` in interface `AnnotationVisitor`
      Returns:
        list of annotation types to be informed about

    - #### visitField

          public void visitField(Field field,
                                 Annotation annotation)

      Description copied from interface: `AnnotationVisitor`
      visit an annotated field. Invoked when the field of an object is annotated by one of the specified annotations. `visitField` is called for each of the annotations that matches and for each field.
      Specified by:
        `visitField` in interface `AnnotationVisitor`
      Parameters:
        `field` - the annotated field
        `annotation` - the annotation

    - #### visitMethod

          public void visitMethod(Method method,
                                  Annotation annotation)

      Description copied from interface: `AnnotationVisitor`
      visit an annotated method. Invoked when the method of an object is annotated by one of the specified annotations. `visitMethod` is called for each of the annotations that matches and for each method.
      Specified by:
        `visitMethod` in interface `AnnotationVisitor`
      Parameters:
        `method` - the annotated fieldx
        `annotation` - the annotation

    - #### setTarget

          public void setTarget(Object object)

      Description copied from interface: `AnnotationVisitor`
      set the target object being visited. Invoked before any of the visit methods.
      Specified by:
        `setTarget` in interface `AnnotationVisitor`
      Parameters:
        `object` - the target object
      See Also:
        `AnnotationProcessor`

    - #### setTarget

          public void setTarget(Object object,
                                Class<?> cls)

    - #### getTarget

          public Object getTarget()

    - #### getTargetClass

          public Class<?> getTargetClass()

Apache CXF